osmium::area::Assembler::MPFilter Struct Reference
Inheritance diagram for osmium::area::Assembler::MPFilter:
[legend]
Collaboration diagram for osmium::area::Assembler::MPFilter:
[legend]

## Public Member Functions

| MPFilter ()
Public Member Functions inherited from osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
| Filter (bool default_result=false)
template<typename V = TValue, typename std::enable_if<!std::is_void< V >::value, int >::type = 0>
Filter & | add (bool result, const key_type &key, const value_type &value)
Filter & | add (bool result, const key_type &key)
bool | operator() (const osmium::Tag &tag) const
size_t | count () const
bool | empty () const

## Additional Inherited Members

Public Types inherited from osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
typedef Filter< TKey, TValue, TKeyComp, TValueComp > | filter_type
typedef const osmium::Tag & | argument_type
typedef bool | result_type
typedef boost::filter_iterator< filter_type, osmium::TagList::const_iterator > | iterator

## Constructor & Destructor Documentation

osmium::area::Assembler::MPFilter::MPFilter | ( |  | ) |

inline

The documentation for this struct was generated from the following file:

- osmium/area/assembler.hpp